Package com.usatiuk.objects.stores

# Class WritebackObjectPersistentStore

java.lang.Object
com.usatiuk.objects.stores.WritebackObjectPersistentStore

@ApplicationScoped public class WritebackObjectPersistentStore extends Object

## Constructor Summary

Constructors
Constructor
Description
`WritebackObjectPersistentStore()`

## Method Summary

Modifier and Type
Method
Description
`void`
`asyncFence(long bundleId, Runnable fn)`
`Consumer<Runnable>`
`commitTx(Collection<TxRecord.TxObjectRecord<?>> writes)`
`Snapshot<JObjectKey,JDataVersionedWrapper>`
`getSnapshot()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WritebackObjectPersistentStore

public WritebackObjectPersistentStore()

## Method Details

### asyncFence

public void asyncFence(long bundleId, Runnable fn)

### commitTx

public Consumer<Runnable> commitTx(Collection<TxRecord.TxObjectRecord<?>> writes)

### getSnapshot

public Snapshot<JObjectKey,JDataVersionedWrapper> getSnapshot()